Bug 158947 - Cannot writing to an nfs mount faster than 8mbps
Cannot writing to an nfs mount faster than 8mbps
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-26 21:25 EDT by Alex Schultz
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Schultz 2005-05-26 21:25:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.1) Gecko/20020823 Netscape/7.0

Description of problem:
I have an nfs server (i686) and when I mount a directory from it to an ia64 box running RHEL 3AS Update 4 or 5, the ia64 box will only write at most 8mbps.  The ia64 machine and the nfs server are connected to a gigabit switch and linked at 1000.  I tried reproducing the problem using a xeon box running RHEL 3AS Update 5 and it did not exhibit this problem.  All machines have a gigabit link to the switch, and their MTU's are set to 1500.  My test command to write to the nfs mount is:
dd if=/dev/zero of=blah bs=10k count=16384

This command takes about 3 seconds to complete on our xeon box and about 5+ minutes on our ia64 machines (I tried 2, happens on both).

The fstab entry I'm using is:
linuxbackup:/backup/oracle      /backup                 nfs     rw,addr=10.1.2.254 0 0


While this bug is similar to 116510, but my client doesn't hang.  It's just goes very very very slowly.  When I tested nfs between two ia64 machines it goes at normal speed, but an i686 mount on an ia64 is super slow.  I tested a ia64 box with a RHEL 3u4 ia64 nfs mount, RHEL4u5 i686 nfs mount and a non-RHEL i686 nfs mount.  The only one that was fine was the ia64 -> ia64. 



Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-33EL

How reproducible:
Always

Steps to Reproduce:
1. mount an nfs mount from a non RHEL machine on an ia64 machine 
2. try and do a dd
3.
  

Actual Results:  very slow writes

Expected Results:  It should write at normal speed

Additional info:
Comment 1 Steve Dickson 2005-09-06 08:35:18 EDT
Are the mounts over UDP or TCP? also what is the output
of 'nfsstat -rc'. 
Comment 2 RHEL Product and Program Management 2007-10-19 15:01:30 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.